| devcfg Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDcfg Struct Reference
Overview

The XDcfg driver instance data. More...

## Data Fields
XDcfg_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | IsStarted
| Device Configuration Interface is running. More...

## Detailed Description

The XDcfg driver instance data.

## Field Documentation

XDcfg_Config XDcfg::Config

Hardware Configuration.

Referenced by XDcfg_CfgInitialize(), XDcfg_ClearControlRegister(), XDcfg_DisablePCAP(), XDcfg_EnablePCAP(), XDcfg_GetConfigReg(), XDcfg_GetConfigRegister(), XDcfg_GetControlRegister(), XDcfg_GetLockRegister(), XDcfg_GetMiscControlRegister(), XDcfg_GetSoftwareIdRegister(), XDcfg_GetStatusRegister(), XDcfg_InitiateDma(), XDcfg_InterruptHandler(), XDcfg_IntrClear(), XDcfg_IntrDisable(), XDcfg_IntrEnable(), XDcfg_IntrGetEnabled(), XDcfg_IntrGetStatus(), XDcfg_IsDmaBusy(), XDcfg_SetConfigRegister(), XDcfg_SetControlRegister(), XDcfg_SetLockRegister(), XDcfg_SetMiscControlRegister(), XDcfg_SetRomShadowRegister(), XDcfg_SetStatusRegister(), XDcfg_Transfer(), XDcfgInterruptExample(), and XDcfgPolledExample().

u32 XDcfg::IsReady

Device is initialized and ready.

Referenced by XDcfg_CfgInitialize(), XDcfg_ClearControlRegister(), XDcfg_DisablePCAP(), XDcfg_EnablePCAP(), XDcfg_GetConfigRegister(), XDcfg_GetControlRegister(), XDcfg_GetLockRegister(), XDcfg_GetMiscControlRegister(), XDcfg_GetSoftwareIdRegister(), XDcfg_GetStatusRegister(), XDcfg_InterruptHandler(), XDcfg_IntrClear(), XDcfg_IntrDisable(), XDcfg_IntrEnable(), XDcfg_IntrGetEnabled(), XDcfg_IntrGetStatus(), XDcfg_IsDmaBusy(), XDcfg_SelfTest(), XDcfg_SetConfigRegister(), XDcfg_SetControlRegister(), XDcfg_SetHandler(), XDcfg_SetLockRegister(), XDcfg_SetMiscControlRegister(), XDcfg_SetRomShadowRegister(), XDcfg_SetStatusRegister(), and XDcfg_Transfer().

u32 XDcfg::IsStarted

Device Configuration Interface is running.

Referenced by XDcfg_CfgInitialize().